Index: svn/src/southbridge/ricoh/rl5c476/rl5c476.c
===================================================================
--- svn.orig/src/southbridge/ricoh/rl5c476/rl5c476.c
+++ svn/src/southbridge/ricoh/rl5c476/rl5c476.c
@@ -38,9 +38,9 @@ static void rl5c476_init(device_t dev)
 	unsigned char *base;
 
 	/* cardbus controller function 1 for CF Socket */
-	printk(BIOS_DEBUG, "Ricoh RL5c476: Initializing.\n");
+	printk(DEBUG, "Ricoh RL5c476: Initializing.\n");
 
-	printk(BIOS_DEBUG, "CF Base = %0x\n",cf_base);
+	printk(DEBUG, "CF Base = %0x\n",cf_base);
 
 	/* misc control register */
 	pci_write_config16(dev,0x82,0x00a0);
@@ -48,7 +48,7 @@ static void rl5c476_init(device_t dev)
 	/* set up second slot as compact flash port if asked to do so */
 
 	if (!enable_cf_boot) {
-		printk(BIOS_DEBUG, "CF boot not enabled.\n");
+		printk(DEBUG, "CF boot not enabled.\n");
 		return;
 	}
 	
@@ -152,7 +152,7 @@ static void rl5c476_init(device_t dev)
 	 */
 	unsigned char *cptr;
 	cptr = (unsigned char *)(cf_base + 0x200);
-	printk(BIOS_DEBUG, "CF Config = %x\n",*cptr);
+	printk(DEBUG, "CF Config = %x\n",*cptr);
 
 	/* Set CF to decode 16 IO bytes on any 16 byte boundary - 
 	 * rely on the io windows of the bridge set up above to 
@@ -184,12 +184,12 @@ void rl5c476_read_resources(device_t dev
 void rl5c476_set_resources(device_t dev)
 {
 	struct resource *resource;
-	printk(BIOS_DEBUG, "%s In set resources \n",dev_path(dev));
+	printk(DEBUG, "%s In set resources \n",dev_path(dev));
 	if( enable_cf_boot && (PCI_FUNC(dev->path.pci.devfn) == 1)){
 		resource = find_resource(dev,1);
 		if( !(resource->flags & IORESOURCE_STORED) ){
 			resource->flags |= IORESOURCE_STORED ;
-			printk(BIOS_DEBUG, "%s 1 ==> %llx\n", dev_path(dev), resource->base);
+			printk(DEBUG, "%s 1 ==> %llx\n", dev_path(dev), resource->base);
 			cf_base = resource->base;
 		}
 	}
Index: svn/src/southbridge/sis/sis966/sis761.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis761.c
+++ svn/src/southbridge/sis/sis966/sis761.c
@@ -72,27 +72,27 @@ static inline msr_t rdmsr(unsigned index
 static void sis761_read_resources(device_t dev)
 {
 	/* Read the generic PCI resources */
-	printk(BIOS_DEBUG, "sis761_read_resources ------->\n");
+	printk(DEBUG, "sis761_read_resources ------->\n");
 	pci_dev_read_resources(dev);
 
 	/* If we are not the first processor don't allocate the gart apeture */
 	if (dev->path.pci.devfn != PCI_DEVFN(0x0, 0)) {
-		printk(BIOS_DEBUG, "sis761_not_the_first_processor !!!\n");
+		printk(DEBUG, "sis761_not_the_first_processor !!!\n");
 		return;
 	}
 
-	printk(BIOS_DEBUG, "sis761_read_resources <-------\n");
+	printk(DEBUG, "sis761_read_resources <-------\n");
 	return;
 
 }
 
 static void sis761_set_resources(device_t dev)
 {
-	printk(BIOS_DEBUG, "sis761_set_resources ------->\n");
+	printk(DEBUG, "sis761_set_resources ------->\n");
 
 	/* Set the generic PCI resources */
 	pci_dev_set_resources(dev);
-	printk(BIOS_DEBUG, "sis761_set_resources <-------\n");
+	printk(DEBUG, "sis761_set_resources <-------\n");
 }
 
 static void sis761_init(struct device *dev)
@@ -102,14 +102,14 @@ static void sis761_init(struct device *d
 
 
 	needs_reset = 0;
-	printk(BIOS_DEBUG, "sis761_init: ---------->\n");
+	printk(DEBUG, "sis761_init: ---------->\n");
 
 	msr = rdmsr(0xC001001A);
 	pci_write_config16(dev, 0x8E, msr.lo >> 16);				// Topbound
 	pci_write_config8(dev, 0x7F, 0x08);			// ACPI Base
 	outb(inb(0x856) | 0x40, 0x856);	 // Auto-Reset Function
 
-	printk(BIOS_DEBUG, "sis761_init: <----------\n");
+	printk(DEBUG, "sis761_init: <----------\n");
 }
 
 
Index: svn/src/southbridge/sis/sis966/sis966_aza.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_aza.c
+++ svn/src/southbridge/sis/sis966/sis966_aza.c
@@ -101,23 +101,23 @@ static int codec_detect(uint8_t *base)
 	int idx=0;
 
 	/* 1 */ // controller reset
-	printk(BIOS_DEBUG, "controller reset\n");
+	printk(DEBUG, "controller reset\n");
 
 	set_bits(base + 0x08, 1, 1);
 
       do{
 	  	dword = read32(base + 0x08)&0x1;
-		if(idx++>1000) { printk(BIOS_DEBUG, "controller reset fail !!! \n"); break;}
+		if(idx++>1000) { printk(DEBUG, "controller reset fail !!! \n"); break;}
 	   } while (dword !=1);
 
        dword=send_verb(base,0x000F0000); // get codec VendorId and DeviceId
 
        if(dword==0) {
-	   	printk(BIOS_DEBUG, "No codec!\n");
+	   	printk(DEBUG, "No codec!\n");
 		return 0;
        }
 
-	 printk(BIOS_DEBUG, "Codec ID = %x\n", dword);
+	 printk(DEBUG, "Codec ID = %x\n", dword);
 
        dword=0x1;
 	return dword;
@@ -219,20 +219,20 @@ static void codec_init(uint8_t *base, in
 	dword = read32(base + 0x64);
 
 	/* 2 */
-	printk(BIOS_DEBUG, "codec viddid: %08x\n", dword);
+	printk(DEBUG, "codec viddid: %08x\n", dword);
 	verb_size = find_verb(dword, &verb);
 
 	if(!verb_size) {
-		printk(BIOS_DEBUG, "No verb!\n");
+		printk(DEBUG, "No verb!\n");
 		return;
 	}
 
-	printk(BIOS_DEBUG, "verb_size: %d\n", verb_size);
+	printk(DEBUG, "verb_size: %d\n", verb_size);
 	/* 3 */
 	for(i=0; i<verb_size; i++) {
 		send_verb(base,verb[i]);
 	}
-	printk(BIOS_DEBUG, "verb loaded!\n");
+	printk(DEBUG, "verb loaded!\n");
 }
 
 static void codecs_init(uint8_t *base, uint32_t codec_mask)
@@ -293,12 +293,12 @@ static void aza_init(struct device *dev)
 		return;
 
 	base =(uint8_t *) res->base;
-	printk(BIOS_DEBUG, "base = %p\n", base);
+	printk(DEBUG, "base = %p\n", base);
 
 	codec_mask = codec_detect(base);
 
 	if(codec_mask) {
-		printk(BIOS_DEBUG, "codec_mask = %02x\n", codec_mask);
+		printk(DEBUG, "codec_mask = %02x\n", codec_mask);
 		codecs_init(base, codec_mask);
 	}
 
Index: svn/src/southbridge/sis/sis966/sis966_early_smbus.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_early_smbus.c
+++ svn/src/southbridge/sis/sis966/sis966_early_smbus.c
@@ -481,23 +481,23 @@ void sis_init_stage2(void)
 
 // ========================== NB =============================
 
-        printk(BIOS_DEBUG, "Init NorthBridge sis761 -------->\n");
+        printk(DEBUG, "Init NorthBridge sis761 -------->\n");
         dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_SIS, PCI_DEVICE_ID_SIS_SIS761), 0);
         msr = rdmsr(0xC001001A);
-	 printk(BIOS_DEBUG, "Memory Top Bound %x\n",msr.lo );
+	 printk(DEBUG, "Memory Top Bound %x\n",msr.lo );
 
         temp16=(pci_read_config8(dev, 0x4C) & 0xE0) >> 5;
         temp16=0x0001<<(temp16-1);
         temp16<<=8;
 
-        printk(BIOS_DEBUG, "Integrated VGA Shared memory size=%dM bytes\n", temp16 >> 4);
+        printk(DEBUG, "Integrated VGA Shared memory size=%dM bytes\n", temp16 >> 4);
         pci_write_config16(dev, 0x8E, (msr.lo >> 16) -temp16*1);
         pci_write_config8(dev, 0x7F, 0x08);									// ACPI Base
         outb(inb(0x856) | 0x40, 0x856);										// Auto-Reset Function
 
 // ========================== ACPI =============================
 	i=0;
-	printk(BIOS_DEBUG, "Init ACPI -------->\n");
+	printk(DEBUG, "Init ACPI -------->\n");
 	do
 	{				temp8 = inb(0x800 + SiS_ACPI_2_init[i][0]);
 					temp8 &= SiS_ACPI_2_init[i][1];
@@ -507,7 +507,7 @@ void sis_init_stage2(void)
 	}while(SiS_ACPI_2_init[i][0] != 0);
 
 // ========================== Misc =============================
-       printk(BIOS_DEBUG, "Init Misc -------->\n");
+       printk(DEBUG, "Init Misc -------->\n");
 	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_SIS, PCI_DEVICE_ID_SIS_SIS966_LPC), 0);
 
 	/* R77h Internal PCI Device Enable 1 (Power On Value = 0h)
@@ -533,7 +533,7 @@ void sis_init_stage2(void)
 	pci_write_config8(dev, 0x7E, 0x00);  // azalia controller enable
 	temp8=inb(0x878)|0x4;   //bit2=1 enable Azalia  =0 enable AC97
 	outb(temp8, 0x878);  // ACPI select AC97 or HDA controller
-	printk(BIOS_DEBUG, "Audio select %x\n",inb(0x878));
+	printk(DEBUG, "Audio select %x\n",inb(0x878));
 
 	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_SIS, PCI_DEVICE_ID_SIS_SIS966_SATA), 0);
 
@@ -550,7 +550,7 @@ static void enable_smbus(void)
 {
 	device_t dev;
 	uint8_t temp8;
-	printk(BIOS_DEBUG, "enable_smbus -------->\n");
+	printk(DEBUG, "enable_smbus -------->\n");
 
 	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_SIS, PCI_DEVICE_ID_SIS_SIS966_LPC), 0);
 
@@ -561,7 +561,7 @@ static void enable_smbus(void)
 	temp8=pci_read_config8(dev, 0x76);					// Enable SMBUS
 	pci_write_config8(dev, 0x76, temp8 | 0x03);
 
-	printk(BIOS_DEBUG, "enable_smbus <--------\n");
+	printk(DEBUG, "enable_smbus <--------\n");
 }
 
 static int smbus_read_byte(unsigned device, unsigned address)
Index: svn/src/southbridge/sis/sis966/sis966_ide.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_ide.c
+++ svn/src/southbridge/sis/sis966/sis966_ide.c
@@ -123,12 +123,12 @@ print_debug("IDE_INIT:---------->\n");
 	if (conf->ide1_enable) {
 		/* Enable secondary ide interface */
 		word |= (1<<0);
-		printk(BIOS_DEBUG, "IDE1 \t");
+		printk(DEBUG, "IDE1 \t");
 	}
 	if (conf->ide0_enable) {
 		/* Enable primary ide interface */
 		word |= (1<<1);
-		printk(BIOS_DEBUG, "IDE0\n");
+		printk(DEBUG, "IDE0\n");
 	}
 
 	word |= (1<<12);
Index: svn/src/southbridge/sis/sis966/sis966_lpc.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_lpc.c
+++ svn/src/southbridge/sis/sis966/sis966_lpc.c
@@ -92,7 +92,7 @@ static void lpc_init(device_t dev)
 	 int on;
 	 int nmi_option;
 
-        printk(BIOS_DEBUG, "LPC_INIT -------->\n");
+        printk(DEBUG, "LPC_INIT -------->\n");
         pc_keyboard_init(0);
 
         lpc_usb_legacy_init(dev);
@@ -109,7 +109,7 @@ static void lpc_init(device_t dev)
 		byte |= 0x40;
 	}
 	pci_write_config8(dev, PREVIOUS_POWER_STATE, byte);
-	printk(BIOS_INFO, "set power %s after power fail\n", on?"on":"off");
+	printk(INFO, "set power %s after power fail\n", on?"on":"off");
 
 	/* Throttle the CPU speed down for testing */
 	on = SLOW_CPU_OFF;
@@ -121,7 +121,7 @@ static void lpc_init(device_t dev)
 		outl(((on<<1)+0x10)  ,(pm10_bar + 0x10));
 		dword = inl(pm10_bar + 0x10);
 		on = 8-on;
-		printk(BIOS_DEBUG, "Throttling CPU %2d.%1.1d percent.\n",
+		printk(DEBUG, "Throttling CPU %2d.%1.1d percent.\n",
 				(on*12)+(on>>1),(on&1)*5);
 	}
 
@@ -151,7 +151,7 @@ static void lpc_init(device_t dev)
         /* Initialize isa dma */
         isa_dma_init();
 
-        printk(BIOS_DEBUG, "LPC_INIT <--------\n");
+        printk(DEBUG, "LPC_INIT <--------\n");
 }
 
 static void sis966_lpc_read_resources(device_t dev)
@@ -214,7 +214,7 @@ static void sis966_lpc_enable_childrens_
 					if(!(res->flags & IORESOURCE_IO)) continue;
 					base = res->base;
 					end = resource_end(res);
-					printk(BIOS_DEBUG, "sis966 lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
+					printk(DEBUG, "sis966 lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x3f8: // COM1
 						reg |= (1<<0);	break;
Index: svn/src/southbridge/sis/sis966/sis966_nic.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_nic.c
+++ svn/src/southbridge/sis/sis966/sis966_nic.c
@@ -75,12 +75,12 @@ static void readApcMacAddr(void)
     outl(0x80001048,0xcf8);
     outl((inl(0xcfc) & 0xfffffffd),0xcfc ); // enable IO78/79h for APC Index/Data
 
-    printk(BIOS_DEBUG, "MAC addr in APC = ");
+    printk(DEBUG, "MAC addr in APC = ");
     for(i = 0x9 ; i <=0xe ; i++)
     {
-        printk(BIOS_DEBUG, "%2.2x",readApcByte(i));
+        printk(DEBUG, "%2.2x",readApcByte(i));
     }
-    printk(BIOS_DEBUG, "\n");
+    printk(DEBUG, "\n");
 
     /* Set APC Reload */
     writeApcByte(0x7,readApcByte(0x7)&0xf7);
@@ -192,7 +192,7 @@ static int phy_read(uint32_t  base, unsi
 		   mdelay(20);
     	       ulValue = read32(base+0x44);
            } while((ulValue & SMI_REQUEST) != 0);
-            //printk(BIOS_DEBUG, "base %x cmd %lx ret val %lx\n", tmp,Read_Cmd,ulValue);
+            //printk(DEBUG, "base %x cmd %lx ret val %lx\n", tmp,Read_Cmd,ulValue);
            usData=(ulValue>>16);
 
 
@@ -227,7 +227,7 @@ static int phy_detect(uint32_t base,uint
 
 	if(!bFoundPhy)
 	{
-	    printk(BIOS_DEBUG, "PHY not found !!!! \n");
+	    printk(DEBUG, "PHY not found !!!! \n");
 	}
 
        *PhyAddr=PhyAddress;
@@ -270,15 +270,15 @@ static void nic_init(struct device *dev)
 
 	if(!res)
 	{
-		printk(BIOS_DEBUG, "NIC Cannot find resource..\n");
+		printk(DEBUG, "NIC Cannot find resource..\n");
 		return;
 	}
 	base = res->base;
-        printk(BIOS_DEBUG, "NIC base address %x\n",base);
+        printk(DEBUG, "NIC base address %x\n",base);
 
 	if(!(val=phy_detect(base,&PhyAddr)))
 	{
-	       printk(BIOS_DEBUG, "PHY detect fail !!!!\n");
+	       printk(DEBUG, "PHY detect fail !!!!\n");
 		return;
 	}
 
@@ -291,7 +291,7 @@ static void nic_init(struct device *dev)
 
           //	if that is valid we will use that
 
-			printk(BIOS_DEBUG, "EEPROM contents %lx \n",ReadEEprom( dev,  base,  0LL));
+			printk(DEBUG, "EEPROM contents %lx \n",ReadEEprom( dev,  base,  0LL));
 			for(i=0;i<3;i++) {
 				//status = smbus_read_byte(dev_eeprom, i);
 				ulValue=ReadEEprom( dev,  base,  i+3L);
@@ -302,7 +302,7 @@ static void nic_init(struct device *dev)
 			}
         }else{
                  // read MAC address from firmware
-		 printk(BIOS_DEBUG, "EEPROM invalid!!\nReg 0x38h=%.8lx \n",ulValue);
+		 printk(DEBUG, "EEPROM invalid!!\nReg 0x38h=%.8lx \n",ulValue);
 		 MacAddr[0]=read16(0xffffffc0); // mac address store at here
 		 MacAddr[1]=read16(0xffffffc2);
 		 MacAddr[2]=read16(0xffffffc4);
Index: svn/src/southbridge/sis/sis966/sis966_sata.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_sata.c
+++ svn/src/southbridge/sis/sis966/sis966_sata.c
@@ -141,7 +141,7 @@ for (i=0;i<10;i++){
    temp32=0;
    temp32= pci_read_config32(dev, 0xC0);
    for ( j=0;j<0xFFFF;j++);
-   printk(BIOS_DEBUG, "status= %x\n",temp32);
+   printk(DEBUG, "status= %x\n",temp32);
    if (((temp32&0xF) == 0x3) || ((temp32&0xF) == 0x0)) break;
 }
 
Index: svn/src/southbridge/sis/sis966/sis966_usb2.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_usb2.c
+++ svn/src/southbridge/sis/sis966/sis966_usb2.c
@@ -95,7 +95,7 @@ static void usb2_init(struct device *dev
                 return;
 
         base =(uint8_t *) res->base;
-        printk(BIOS_DEBUG, "base = %p\n", base);
+        printk(DEBUG, "base = %p\n", base);
         write32(base+0x20, 0x2);
 //-----------------------------------------------------------
 
Index: svn/src/southbridge/ti/pci7420/pci7420_cardbus.c
===================================================================
--- svn.orig/src/southbridge/ti/pci7420/pci7420_cardbus.c
+++ svn/src/southbridge/ti/pci7420/pci7420_cardbus.c
@@ -41,10 +41,10 @@ static void pci7420_cardbus_init(device_
 	struct southbridge_ti_pci7420_config *config = dev->chip_info;
 	int smartcard_enabled = 0;
 
-	printk(BIOS_DEBUG, "TI PCI7420/7620 init\n");
+	printk(DEBUG, "TI PCI7420/7620 init\n");
 
 	if (!config) {
-		printk(BIOS_DEBUG, "PCI7420: No configuration found.\n");
+		printk(DEBUG, "PCI7420: No configuration found.\n");
 	} else {
 		smartcard_enabled = config->smartcard_enabled;
 	}
@@ -90,11 +90,11 @@ static void pci7420_cardbus_read_resourc
 
 static void pci7420_cardbus_set_resources(device_t dev)
 {
-	printk(BIOS_DEBUG, "%s In set resources \n",dev_path(dev));
+	printk(DEBUG, "%s In set resources \n",dev_path(dev));
 
 	pci_dev_set_resources(dev);
 
-	printk(BIOS_DEBUG, "%s done set resources \n",dev_path(dev));
+	printk(DEBUG, "%s done set resources \n",dev_path(dev));
 }
 
 static struct device_operations ti_pci7420_ops = {
Index: svn/src/southbridge/ti/pci7420/pci7420_firewire.c
===================================================================
--- svn.orig/src/southbridge/ti/pci7420/pci7420_firewire.c
+++ svn/src/southbridge/ti/pci7420/pci7420_firewire.c
@@ -30,7 +30,7 @@
 
 static void pci7420_firewire_init(device_t dev)
 {
-	printk(BIOS_DEBUG, "TI PCI7420/7620 FireWire init\n");
+	printk(DEBUG, "TI PCI7420/7620 FireWire init\n");
 
 #ifdef ODD_IRQ_FIXUP
 	/* This is a workaround for buggy kernels. This should
Index: svn/src/southbridge/via/k8t890/k8m890_chrome.c
===================================================================
--- svn.orig/src/southbridge/via/k8t890/k8m890_chrome.c
+++ svn/src/southbridge/via/k8t890/k8m890_chrome.c
@@ -125,7 +125,7 @@ chrome_init(struct device *dev)
 
 	fb_size = k8m890_host_fb_size_get();
 	if (!fb_size) {
-		printk(BIOS_WARNING, "Chrome: Device has not been initialised in the"
+		printk(WARNING, "Chrome: Device has not been initialised in the"
 			       " ramcontroller!\n");
 		return;
 	}
@@ -133,11 +133,11 @@ chrome_init(struct device *dev)
 	fb_address = pci_read_config32(dev, 0x10);
 	fb_address &= ~0x0F;
 	if (!fb_address) {
-		printk(BIOS_WARNING, "Chrome: No FB BAR assigned!\n");
+		printk(WARNING, "Chrome: No FB BAR assigned!\n");
 		return;
 	}
 
-	printk(BIOS_INFO, "Chrome: Using %dMB Framebuffer at 0x%08X.\n",
+	printk(INFO, "Chrome: Using %dMB Framebuffer at 0x%08X.\n",
 		    fb_size, fb_address);
 
 	//k8m890_host_fb_direct_set(fb_address);
@@ -154,7 +154,7 @@ chrome_init(struct device *dev)
 	vga_console_init();
 #endif
 
-	printk(BIOS_INFO, "Chrome VGA Textmode initialized.\n");
+	printk(INFO, "Chrome VGA Textmode initialized.\n");
 
 #if CONFIG_CONSOLE_VGA == 0
 	/* if we don't have console, at least print something... */
Index: svn/src/southbridge/via/k8t890/k8t890_dram.c
===================================================================
--- svn.orig/src/southbridge/via/k8t890/k8t890_dram.c
+++ svn/src/southbridge/via/k8t890/k8t890_dram.c
@@ -82,7 +82,7 @@ static void get_memres(void *gp, struct 
 	unsigned int *fbsize = (unsigned int *) gp;
 	uint64_t proposed_base = res->base + res->size - *fbsize;
 
-	printk(BIOS_DEBUG, "get_memres: res->base=%llx res->size=%llx %d %d %d\n",
+	printk(DEBUG, "get_memres: res->base=%llx res->size=%llx %d %d %d\n",
 			res->base, res->size, (res->size > *fbsize), 
 			(!(proposed_base & (*fbsize - 1))),
 			(proposed_base < ((uint64_t) 0xffffffff)));
@@ -99,7 +99,7 @@ extern uint64_t high_tables_base, high_t
 	if ((high_tables_base) && ((high_tables_base > proposed_base) &&
 			(high_tables_base < (res->base + res->size)))) {
 		high_tables_base = proposed_base - high_tables_size;
-		printk(BIOS_DEBUG, "Moving the high_tables_base pointer to "
+		printk(DEBUG, "Moving the high_tables_base pointer to "
 				"new base %llx\n", high_tables_base);
 	}
 #endif
@@ -140,12 +140,12 @@ static void dram_init_fb(struct device *
 
 	ret = get_option(&fbbits, "videoram_size");
 	if (ret) {
-		printk(BIOS_WARNING, "Failed to get videoram size (error %d), using default.\n", ret);
+		printk(WARNING, "Failed to get videoram size (error %d), using default.\n", ret);
 		fbbits = 5;
  	}
 
 	if ((fbbits < 1) || (fbbits > 7)) {
-		printk(BIOS_WARNING, "Invalid videoram size (%d), using default.\n",
+		printk(WARNING, "Invalid videoram size (%d), using default.\n",
 			       4 << fbbits);
 		fbbits = 5;
 	}
@@ -159,14 +159,14 @@ static void dram_init_fb(struct device *
 
 	/* no space for FB */
 	if (!resmax) {
-		printk(BIOS_ERR, "VIA FB: no space for framebuffer in RAM\n");
+		printk(ERROR, "VIA FB: no space for framebuffer in RAM\n");
 		return;
 	}
 
 	proposed_base = resmax->base + resmax->size - fbsize;
 	resmax->size -= fbsize;
 
-	printk(BIOS_INFO, "K8M890: Using a %dMB framebuffer.\n", 4 << fbbits);
+	printk(INFO, "K8M890: Using a %dMB framebuffer.\n", 4 << fbbits);
 
 	/* Step 1: enable UMA but no FB */
 	pci_write_config8(dev, 0xa1, 0x80);
Index: svn/src/southbridge/via/k8t890/k8t890_early_car.c
===================================================================
--- svn.orig/src/southbridge/via/k8t890/k8t890_early_car.c
+++ svn/src/southbridge/via/k8t890/k8t890_early_car.c
@@ -114,7 +114,7 @@ u8 k8t890_early_setup_ht(void)
 
 int s3_save_nvram_early(u32 dword, int size, int  nvram_pos) {
 	
-	printk(BIOS_DEBUG, "Writing %x of size %d to nvram pos: %d\n", dword, size, nvram_pos);
+	printk(DEBUG, "Writing %x of size %d to nvram pos: %d\n", dword, size, nvram_pos);
 	switch (size) {
 	case 1:
 		outb((dword & 0xff), K8T890_NVRAM_IO_BASE+nvram_pos);
@@ -149,6 +149,6 @@ int s3_load_nvram_early(int size, u32 *o
 		nvram_pos +=4;
 		break;
 	}
-	printk(BIOS_DEBUG, "Loading %x of size %d to nvram pos:%d\n", * old_dword, size, nvram_pos-size);
+	printk(DEBUG, "Loading %x of size %d to nvram pos:%d\n", * old_dword, size, nvram_pos-size);
 	return nvram_pos;
 }
Index: svn/src/southbridge/via/k8t890/k8t890_pcie.c
===================================================================
--- svn.orig/src/southbridge/via/k8t890/k8t890_pcie.c
+++ svn/src/southbridge/via/k8t890/k8t890_pcie.c
@@ -28,7 +28,7 @@ static void peg_init(struct device *dev)
 {
 	u8 reg;
 
-	printk(BIOS_DEBUG, "Configuring PCIe PEG\n");
+	printk(DEBUG, "Configuring PCIe PEG\n");
 	dump_south(dev);
 
 	/* Disable link. */
@@ -68,7 +68,7 @@ static void pcie_init(struct device *dev
 {
 	u8 reg;
 
-	printk(BIOS_DEBUG, "Configuring PCIe PEXs\n");
+	printk(DEBUG, "Configuring PCIe PEXs\n");
 	dump_south(dev);
 
 	/* Disable link. */
Index: svn/src/southbridge/via/vt8231/vt8231.c
===================================================================
--- svn.orig/src/southbridge/via/vt8231/vt8231.c
+++ svn/src/southbridge/via/vt8231/vt8231.c
@@ -14,7 +14,7 @@ static device_t lpc_dev;
 
 void hard_reset(void)
 {
-        printk(BIOS_ERR, "NO HARD RESET ON VT8231! FIX ME!\n");
+        printk(ERROR, "NO HARD RESET ON VT8231! FIX ME!\n");
 }
 
 static void keyboard_on(void)
Index: svn/src/southbridge/via/vt8231/vt8231_acpi.c
===================================================================
--- svn.orig/src/southbridge/via/vt8231/vt8231_acpi.c
+++ svn/src/southbridge/via/vt8231/vt8231_acpi.c
@@ -6,7 +6,7 @@
 
 static void acpi_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Configuring VIA ACPI\n");
+	printk(DEBUG, "Configuring VIA ACPI\n");
 
 	// Set ACPI base address to IO 0x4000
 	pci_write_config32(dev, 0x48, 0x4001);
Index: svn/src/southbridge/via/vt8231/vt8231_ide.c
===================================================================
--- svn.orig/src/southbridge/via/vt8231/vt8231_ide.c
+++ svn/src/southbridge/via/vt8231/vt8231_ide.c
@@ -19,22 +19,22 @@ static void ide_init(struct device *dev)
 		*/
 
 		/*		
-		printk(BIOS_INFO, "%s: enabling compatibility IDE addresses\n", __func__);
+		printk(INFO, "%s: enabling compatibility IDE addresses\n", __func__);
 		enables = pci_read_config8(dev, 0x42);
-		printk(BIOS_DEBUG, "enables in reg 0x42 0x%x\n", enables);
+		printk(DEBUG, "enables in reg 0x42 0x%x\n", enables);
 		enables &= ~0xc0;		// compatability mode
 		pci_write_config8(dev, 0x42, enables);
 		enables = pci_read_config8(dev, 0x42);
-		printk(BIOS_DEBUG, "enables in reg 0x42 read back as 0x%x\n", enables);
+		printk(DEBUG, "enables in reg 0x42 read back as 0x%x\n", enables);
 		*/
 	}
 	
 	enables = pci_read_config8(dev, 0x40);
-	printk(BIOS_DEBUG, "enables in reg 0x40 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x40 0x%x\n", enables);
 	enables |= 3;
 	pci_write_config8(dev, 0x40, enables);
 	enables = pci_read_config8(dev, 0x40);
-	printk(BIOS_DEBUG, "enables in reg 0x40 read back as 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x40 read back as 0x%x\n", enables);
 	
 	// Enable prefetch buffers
 	enables = pci_read_config8(dev, 0x41);
@@ -58,7 +58,7 @@ static void ide_init(struct device *dev)
 	// kevinh@ispiri.com - the standard linux drivers seem ass slow when 
 	// used in native mode - I've changed back to classic
 	enables = pci_read_config8(dev, 0x9);
-	printk(BIOS_DEBUG, "enables in reg 0x9 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x9 0x%x\n", enables);
 	// by the book, set the low-order nibble to 0xa. 
 	if (conf->enable_native_ide) {
 		enables &= ~0xf;
@@ -70,11 +70,11 @@ static void ide_init(struct device *dev)
 	
 	pci_write_config8(dev, 0x9, enables);
 	enables = pci_read_config8(dev, 0x9);
-	printk(BIOS_DEBUG, "enables in reg 0x9 read back as 0x%x\n", enables);
+	printk(DEBUG, "enables in reg 0x9 read back as 0x%x\n", enables);
 	
 	// standard bios sets master bit. 
 	enables = pci_read_config8(dev, 0x4);
-	printk(BIOS_DEBUG, "command in reg 0x4 0x%x\n", enables);
+	printk(DEBUG, "command in reg 0x4 0x%x\n", enables);
 	enables |= 7;
 	
 	// No need for stepping - kevinh@ispiri.com
@@ -82,7 +82,7 @@ static void ide_init(struct device *dev)
 	
 	pci_write_config8(dev, 0x4, enables);
 	enables = pci_read_config8(dev, 0x4);
-	printk(BIOS_DEBUG, "command in reg 0x4 reads back as 0x%x\n", enables);
+	printk(DEBUG, "command in reg 0x4 reads back as 0x%x\n", enables);
 	
 	if (!conf->enable_native_ide) {
 		// Use compatability mode - per award bios
Index: svn/src/southbridge/via/vt8231/vt8231_lpc.c
===================================================================
--- svn.orig/src/southbridge/via/vt8231/vt8231_lpc.c
+++ svn/src/southbridge/via/vt8231/vt8231_lpc.c
@@ -23,7 +23,7 @@ static const unsigned char slotIrqs[4] =
 static void pci_routing_fixup(struct device *dev)
 {
 
-	printk(BIOS_INFO, "%s: dev is %p\n", __func__, dev);
+	printk(INFO, "%s: dev is %p\n", __func__, dev);
 	if (dev) {
 		/* initialize PCI interupts - these assignments depend
 		   on the PCB routing of PINTA-D 
@@ -39,17 +39,17 @@ static void pci_routing_fixup(struct dev
 	}
 
 	// Standard southbridge components
-	printk(BIOS_INFO, "setting southbridge\n");
+	printk(INFO, "setting southbridge\n");
 	pci_assign_irqs(0, 0x11, southbridgeIrqs);
 
 	// Ethernet built into southbridge
-	printk(BIOS_INFO, "setting ethernet\n");
+	printk(INFO, "setting ethernet\n");
 	pci_assign_irqs(0, 0x12, enetIrqs);
 
 	// PCI slot
-	printk(BIOS_INFO, "setting pci slot\n");
+	printk(INFO, "setting pci slot\n");
 	pci_assign_irqs(0, 0x14, slotIrqs);
-	printk(BIOS_INFO, "%s: DONE\n", __func__);
+	printk(INFO, "%s: DONE\n", __func__);
 }
 
 static void vt8231_init(struct device *dev)
@@ -57,7 +57,7 @@ static void vt8231_init(struct device *d
 	unsigned char enables;
 	struct southbridge_via_vt8231_config *conf = dev->chip_info;
 
-	printk(BIOS_DEBUG, "vt8231 init\n");
+	printk(DEBUG, "vt8231 init\n");
 
 	// enable the internal I/O decode
 	enables = pci_read_config8(dev, 0x6C);
@@ -102,18 +102,18 @@ static void vt8231_init(struct device *d
 	// First do some more things to devfn (17,0)
 	// note: this should already be cleared, according to the book. 
 	enables = pci_read_config8(dev, 0x50);
-	printk(BIOS_DEBUG, "IDE enable in reg. 50 is 0x%x\n", enables);
+	printk(DEBUG, "IDE enable in reg. 50 is 0x%x\n", enables);
 	enables &= ~8; // need manifest constant here!
-	printk(BIOS_DEBUG, "set IDE reg. 50 to 0x%x\n", enables);
+	printk(DEBUG, "set IDE reg. 50 to 0x%x\n", enables);
 	pci_write_config8(dev, 0x50, enables);
 	
 	// set default interrupt values (IDE)
 	enables = pci_read_config8(dev, 0x4c);
-	printk(BIOS_DEBUG, "IRQs in reg. 4c are 0x%x\n", enables & 0xf);
+	printk(DEBUG, "IRQs in reg. 4c are 0x%x\n", enables & 0xf);
 	// clear out whatever was there. 
 	enables &= ~0xf;
 	enables |= 4;
-	printk(BIOS_DEBUG, "setting reg. 4c to 0x%x\n", enables);
+	printk(DEBUG, "setting reg. 4c to 0x%x\n", enables);
 	pci_write_config8(dev, 0x4c, enables);
 	
 	// set up the serial port interrupts. 
Index: svn/src/southbridge/via/vt8231/vt8231_nic.c
===================================================================
--- svn.orig/src/southbridge/via/vt8231/vt8231_nic.c
+++ svn/src/southbridge/via/vt8231/vt8231_nic.c
@@ -12,7 +12,7 @@ static void nic_init(struct device *dev)
 {
 	uint8_t		byte;
 
-	printk(BIOS_DEBUG, "Configuring VIA LAN\n");
+	printk(DEBUG, "Configuring VIA LAN\n");
 
 	/* We don't need stepping - though the device supports it */
 	byte = pci_read_config8(dev, PCI_COMMAND);
Index: svn/src/southbridge/via/vt8235/vt8235.c
===================================================================
--- svn.orig/src/southbridge/via/vt8235/vt8235.c
+++ svn/src/southbridge/via/vt8235/vt8235.c
@@ -14,7 +14,7 @@ static int enabled = 0;
 
 void hard_reset(void) 
 {
-	printk(BIOS_ERR, "NO HARD RESET ON VT8235! FIX ME!\n");
+	printk(ERROR, "NO HARD RESET ON VT8235! FIX ME!\n");
 }
 
 static void keyboard_on(struct device *dev)
@@ -34,11 +34,11 @@ void dump_south(device_t dev0)
 	int i,j;
 	
 	for(i = 0; i < 256; i += 16) {
-		printk(BIOS_DEBUG, "0x%x: ", i);
+		printk(DEBUG, "0x%x: ", i);
 		for(j = 0; j < 16; j++) {
-			printk(BIOS_DEBUG, "%02x ", pci_read_config8(dev0, i+j));
+			printk(DEBUG, "%02x ", pci_read_config8(dev0, i+j));
 		}
-		printk(BIOS_DEBUG, "\n");
+		printk(DEBUG, "\n");
 	}
 }
 
@@ -61,7 +61,7 @@ static void vt8235_enable(struct device 
 	vendor = pci_read_config16(dev,0);
 	model = pci_read_config16(dev,0x2);
 
-	printk(BIOS_DEBUG, "In vt8235_enable %04x %04x.\n",vendor,model);
+	printk(DEBUG, "In vt8235_enable %04x %04x.\n",vendor,model);
 	
 	/* if this is not the southbridge itself just return */
 	/* this is necessary because USB devices are slot 10, whereas this device is slot 11 
@@ -70,7 +70,7 @@ static void vt8235_enable(struct device 
 	if( (vendor != PCI_VENDOR_ID_VIA) || (model != PCI_DEVICE_ID_VIA_8235))
 		return;
 
-	printk(BIOS_DEBUG, "Initialising Devices\n");
+	printk(DEBUG, "Initialising Devices\n");
 
 
 	setup_i8259();   // make sure interupt controller is configured before keyboard init 
